Create an endpoint
curl --request POST \
--url https://api.invopop.com/apps/connect/v1/endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "http",
"slug": "suppliers",
"workflow_id": "<string>",
"config": {},
"accept": [],
"disabled": true
}
'import requests
url = "https://api.invopop.com/apps/connect/v1/endpoints"
payload = {
"channel": "http",
"slug": "suppliers",
"workflow_id": "<string>",
"config": {},
"accept": [],
"disabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'http',
slug: 'suppliers',
workflow_id: '<string>',
config: {},
accept: [],
disabled: true
})
};
fetch('https://api.invopop.com/apps/connect/v1/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/apps/connect/v1/endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'channel' => 'http',
'slug' => 'suppliers',
'workflow_id' => '<string>',
'config' => [
],
'accept' => [
],
'disabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/apps/connect/v1/endpoints"
payload := strings.NewReader("{\n \"channel\": \"http\",\n \"slug\": \"suppliers\",\n \"workflow_id\": \"<string>\",\n \"config\": {},\n \"accept\": [],\n \"disabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.invopop.com/apps/connect/v1/endpoints")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"channel\": \"http\",\n \"slug\": \"suppliers\",\n \"workflow_id\": \"<string>\",\n \"config\": {},\n \"accept\": [],\n \"disabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/apps/connect/v1/endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"channel\": \"http\",\n \"slug\": \"suppliers\",\n \"workflow_id\": \"<string>\",\n \"config\": {},\n \"accept\": [],\n \"disabled\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"channel": "http",
"workflow_id": "<string>",
"uri": "<string>",
"accept": [
"<string>"
],
"disabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"config": {
"security": {
"type": "none",
"token": "<string>",
"user": "<string>",
"pass": "<string>",
"secret": "<string>"
}
}
}{
"status": "error",
"message": "<string>"
}Connect
Create an endpoint
POST
/
apps
/
connect
/
v1
/
endpoints
Create an endpoint
curl --request POST \
--url https://api.invopop.com/apps/connect/v1/endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "http",
"slug": "suppliers",
"workflow_id": "<string>",
"config": {},
"accept": [],
"disabled": true
}
'import requests
url = "https://api.invopop.com/apps/connect/v1/endpoints"
payload = {
"channel": "http",
"slug": "suppliers",
"workflow_id": "<string>",
"config": {},
"accept": [],
"disabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'http',
slug: 'suppliers',
workflow_id: '<string>',
config: {},
accept: [],
disabled: true
})
};
fetch('https://api.invopop.com/apps/connect/v1/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/apps/connect/v1/endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'channel' => 'http',
'slug' => 'suppliers',
'workflow_id' => '<string>',
'config' => [
],
'accept' => [
],
'disabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/apps/connect/v1/endpoints"
payload := strings.NewReader("{\n \"channel\": \"http\",\n \"slug\": \"suppliers\",\n \"workflow_id\": \"<string>\",\n \"config\": {},\n \"accept\": [],\n \"disabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.invopop.com/apps/connect/v1/endpoints")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"channel\": \"http\",\n \"slug\": \"suppliers\",\n \"workflow_id\": \"<string>\",\n \"config\": {},\n \"accept\": [],\n \"disabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/apps/connect/v1/endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"channel\": \"http\",\n \"slug\": \"suppliers\",\n \"workflow_id\": \"<string>\",\n \"config\": {},\n \"accept\": [],\n \"disabled\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"channel": "http",
"workflow_id": "<string>",
"uri": "<string>",
"accept": [
"<string>"
],
"disabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"config": {
"security": {
"type": "none",
"token": "<string>",
"user": "<string>",
"pass": "<string>",
"secret": "<string>"
}
}
}{
"status": "error",
"message": "<string>"
}Authorizations
Body
application/json
- HTTP endpoint
- Email endpoint
An endpoint as created: like EndpointInput, with the credentials its security or provider needs, which an update can leave out to keep the stored ones.
Response
The new endpoint
Was this page helpful?